#include <iostream>
#include <cstdio>
#include <vector>

using namespace std;

int r[]={20, 40, 60, 80, 100, 120, 140, 160, 180, 200, 500};

int main()
{
	for(int i=0; i<10; i++)r[i]*=r[i];
	int T;
	scanf("%d",&T);
	for(int tt=0; tt<T; tt++){
		int n;
		scanf("%d",&n);
		int x,y;
		int ans=0;
		for(int i=0; i<n; i++){
			scanf("%d%d",&x,&y);
			int r2=x*x+y*y;
			int p=10;
			for(int j=0; r2>r[j]&&j<10; j++, p--){
			}
			ans+=p;
			//printf("%d %d = %d\n", x, y, p);
		}
		printf("%d\n",ans);
	}
}
